# std::basic_osyncstream<CharT,Traits,Allocator>::rdbuf

From cppreference.com
< cpp‎ | io‎ | basic osyncstream

syncbuf_type* rdbuf() const noexcept; |  |

Returns a pointer to the underlying std::basic_syncbuf.

### Parameters

(none)

### Example

| This section is incomplete Reason: no example

### See also

get_wrapped | obtains a pointer to the final destination stream buffer (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_osyncstream/rdbuf&oldid=105206"